using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace YurevichDuevaStudent
{
    public partial class Form5 : Form
    {
        public Form5()
        {
            InitializeComponent();
        }

        private void оценкиBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.оценкиBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.dueva_YurevichDataSet);

        }

        private void Form5_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "dueva_YurevichDataSet.Оценки". При необходимости она может быть перемещена или удалена.
            this.оценкиTableAdapter.Fill(this.dueva_YurevichDataSet.Оценки);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            средний_баллTextBox.Text =
                Convert.ToString((Convert.ToDouble(оценка1TextBox.Text) +
                Convert.ToDouble(оценка2TextBox.Text) + Convert.ToDouble(оценка3TextBox.Text)) / 3.0);
        }
    }
}
